package org.sky.resource.feign;

import org.sky.core.sms.model.SmsResponse;
import org.sky.core.tool.api.R;
import org.springframework.stereotype.Component;

/**
 * 流程远程调用失败处理类
 *
 */
@Component
public class ISmsClientFallback implements ISmsClient {
	@Override
	public R<SmsResponse> sendMessage(String code, String params, String phones) {
		return R.fail("远程调用失败");
	}

	@Override
	public R<SmsResponse> sendMessage(String tenantId, String code, String params, String phones) {
		return R.fail("远程调用失败");
	}

	@Override
	public R sendValidate(String code, String phone) {
		return R.fail("远程调用失败");
	}

	@Override
	public R sendValidate(String tenantId, String code, String phone) {
		return R.fail("远程调用失败");
	}

	@Override
	public R validateMessage(String code, String id, String value, String phone) {
		return R.fail("远程调用失败");
	}

	@Override
	public R validateMessage(String tenantId, String code, String id, String value, String phone) {
		return R.fail("远程调用失败");
	}

}
